clear
cap log close
log using "c:\users\accase\dropbox\brookings\archive\nhis\dofiles\sample_adult\nhis_sample_adult.log",replace
set more off

#delimit ;
/* Input datafiles: these you will need to pull from the NHIS website
   samadult1997-samadult2015
   personsx1997-personsx2015
  This do-file processes selected variables from each year
*/


****2015*****;
     use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2015,clear;
             ****effort became asieffrt*******:
             ****hopeless became  asihopls***;
             ****mhatmo ( ACN.530_00.000: Feelings interfered w/life, past 30 days) became asimuch****:
             ***nervous became asinerv *****;
             ***restless became asirstls *****;
             ***sad became asisad ***:
             ****worthls became asiwthls ****;

	    *** race *****;
     		* create race variable and hispanic origin variable;
   			do "create_race.do";
        		
       *pick up variables from personsx dataset;
      		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2015,keepusing(educ1 phstat);
      		
      		keep if _m==3;
      		drop _m;
      	
      		
      	*process variables;
      		do "processvars.do";


     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90 ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev asieffrt ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk  asihopls
     hrtev hypdifv hypev kidwkyr livyr asimuch miev modfreqw modlngno modlngtp modmin modno modtp asinerv onejob paineck painface painlb painleg pregnow rectype
     asirstls  asisad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr asiwthls  wtfa_sa wtia_sa race hisporig age educ sex retired occ_now occ_prev  alchronr phstat  workcur workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

*******************************************;
*******************************************;
save outfiles\sa2015,replace;


****2014*****;
     use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2014,clear;
             ****effort became asieffrt*******:
             ****hopeless became  asihopls***;
             ****mhatmo ( ACN.530_00.000: Feelings interfered w/life, past 30 days) became asimuch****:
             ***nervous became asinerve*****;
             ***restless became asirstls *****;
             ***sad became asisad ***:
             ****worthls became asiwthls ****;

	    *** race *****;
     		* create race variable and hispanic origin variable;
   			do "create_race.do";
        		
       *pick up variables from personsx dataset;
      		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2014,keepusing(educ1 phstat);
      		
      		keep if _m==3;
      		drop _m;
      	
      		
      	*process variables;
      		do "processvars.do";


     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90 ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev asieffrt ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk  asihopls
     hrtev hypdifv hypev kidwkyr livyr asimuch miev modfreqw modlngno modlngtp modmin modno modtp asinerv onejob paineck painface painlb painleg pregnow rectype
     asirstls  asisad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr asiwthls  wtfa_sa wtia_sa race hisporig age educ sex retired occ_now occ_prev  alchronr phstat  workcur workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

*******************************************;
*******************************************;
save outfiles\sa2014,replace;


****2013*****;
     use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2013,clear;
             ****effort became asieffrt*******:
             ****hopeless became  asihopls***;
             ****mhatmo ( ACN.530_00.000: Feelings interfered w/life, past 30 days) became asimuch****:
             ***nervous became asinerve*****;
             ***restless became asirstls *****;
             ***sad became asisad ***:
             ****worthls became asiwthls ****;

	    *** race *****;
     		* create race variable and hispanic origin variable;
   			do "create_race.do";
        		
       *pick up variables from personsx dataset;
      		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2013,keepusing(educ1 phstat);
      		
      		keep if _m==3;
      		drop _m;
      	
      		
      	*process variables;
      		do "processvars.do";


     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90 ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev asieffrt ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk  asihopls
     hrtev hypdifv hypev kidwkyr livyr asimuch miev modfreqw modlngno modlngtp modmin modno modtp asinerv onejob paineck painface painlb painleg pregnow rectype
     asirstls  asisad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr asiwthls  wtfa_sa wtia_sa race hisporig age educ sex retired occ_now occ_prev  alchronr phstat  workcur workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

*******************************************;
*******************************************;
save outfiles\sa2013,replace;
****2012*****;
     use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2012,clear;


	    *** race *****;
     		* create race variable and hispanic origin variable;
   			do "create_race.do";
        		
       *pick up variables from personsx dataset;
      		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2012,keepusing(educ1 phstat);
      		
      		keep if _m==3;
      		drop _m;
      	
      		
      	*process variables;
      		do "processvars.do";


     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90 ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age educ sex retired occ_now occ_prev  alchronr phstat  workcur workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

*******************************************;
*******************************************;
save outfiles\sa2012,replace;


****2011*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2011,clear;

     * create race variable and hispanic origin variable;
   		do "create_race.do";
            		
            		
    *pick up variables from personsx dataset;
         		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2011,keepusing(educ1 phstat);
         		keep if _m==3;
         		drop _m;
         		
        		
      	*process variables;
		do "processvars.do";
		
     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90  ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig educ age sex retired  occ_now occ_prev  alchronr phstat workcur workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

save outfiles\sa2011,replace;


****2010*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2010,clear;

     * create race variable and hispanic origin variable;
   		do "create_race.do";
   		
   *pick up variables from personsx dataset;
         		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2010, keepusing(educ1 phstat);
         		
         		keep if _m==3;
         		drop _m;


      	* process variables;
    		do "processvars.do";
  			
      			
     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90 ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa hisporig race age educ sex  occ_now occ_prev  alchronr phstat workcur  retired workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

save outfiles\sa2010,replace;


****2009*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2009,clear;


   * create race variable and hispanic origin variable;
   		do "create_race.do";
   		
   		
     *pick up variables from personsx dataset;
            		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2009, keepusing(educ1 phstat);
            		
            		keep if _m==3;
            		drop _m;
            		

  	* process variables;
    		do "processvars.do";
  			
     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90  ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa hisporig race age educ sex  occ_now occ_prev  alchronr phstat workcur retired workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

save outfiles\sa2009,replace;

****2008*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2008,clear;

          * create race variable and hispanic origin variable;
   		do "create_race.do";
   		
  		
   		    *pick up variables from personsx dataset;
		            		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2008, keepusing(educ1 phstat);
		            		
		            		keep if _m==3;
		            		drop _m;
		            		

  	* process variables;
    		do "processvars.do";
    		
     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90  ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age educ sex  occ_now occ_prev  alchronr phstat workcur retired workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

save outfiles\sa2008,replace;

****2007*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2007,clear;


          * create race variable and hispanic origin variable;
   		do "create_race.do";

		
   			    *pick up variables from personsx dataset;
				            		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2007, keepusing(educ1 phstat);
				            		
				            		keep if _m==3;
				            		drop _m;
				            		

      		
	* process variables;
    		do "processvars.do";

     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90 ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age educ sex  occ_now occ_prev  alchronr phstat  workcur retired workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

save outfiles\sa2007,replace;

****2006*****;
use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2006,clear;

          * create race variable and hispanic origin variable;
   		do "create_race.do";

  		
   		 			    *pick up variables from personsx dataset;
						            		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2006, keepusing(educ1 phstat);
						            		
						            		keep if _m==3;
						            		drop _m;



  	* process variables;
    		do "processvars.do";
    		
     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90  ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age educ sex  occ_now occ_prev  alchronr phstat  workcur retired workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

save outfiles\sa2006,replace;

****2005*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2005,clear;


          * create race variable and hispanic origin variable;
   		do "create_race.do";

 		 			    *pick up variables from personsx dataset;
						            		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2005, keepusing(educ1 phstat);
						            		
						            		keep if _m==3;
						            		drop _m;
						            		


  	* process variables;
    		do "processvars.do";
    		
     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90 ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age educ sex  occ_now occ_prev  alchronr phstat workcur retired workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

save outfiles\sa2005,replace;

****2004*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2004,clear;



	* to get additonal variables we have to merge with the person dataset;
		merge 1:1 hhx fmx fpx using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2004,keepusing(racerpi2 hispan_i educ1 age_p sex phstat r_maritl );
		
		keep if _m==3;
		drop _m;
		
          * create race variable and hispanic origin variable;
   		do "create_race.do";
   	

   	

  	* process variables;
    		do "processvars.do";
    		
     keep hhx fmx fpx aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90  ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age educ sex  occ_now occ_prev  alchronr  phstat workcur retired workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl alhca14a;

save outfiles\sa2004,replace;

****2003*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2003,clear;

               * create race variable and hispanic origin variable;
   		do "create_race.do";
   		

   	* to get additional variables  we have to merge with the person dataset;
   		merge 1:1 hhx fmx px using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2003,keepusing( phstat whynowk doinglw);
   		
   		keep if _m==3;
		drop _m;
		
   * process variables;
    		do "processvars.do";
    		
    	
     keep hhx fmx px aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90 ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age educ sex occ_now occ_prev  alchronr phstat  workcur retired workever disabled ind_now ind_prev wrklongh yrswrkcur yrswrkprev
     r_maritl region alhca14a;

save outfiles\sa2003,replace;


****2002*****;
use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2002,clear;


        * create race variable and hispanic origin variable;
   		do "create_race.do";
   		
	
   	   * to get additional variables we have to merge with the person dataset;
	      		merge 1:1 hhx fmx px using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2002,keepusing( phstat whynowk doinglw);
	      		
	      		keep if _m==3;
		drop _m;
	   * process variables;
    		do "processvars.do";
    		
     keep hhx fmx px aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90 ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age edu sex occ_now occ_prev  alchronr  phstat workcur retired workever disabled ind_now ind_prev yrswrkcur yrswrkprev
     r_maritl region alhca14a;


save outfiles\sa2002,replace;

****2001*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2001,clear;


         * create race variable and hispanic origin variable;
   		do "create_race.do";
   		


 * to get additonal variables we have to merge with the person dataset;
   		merge 1:1 hhx fmx px using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2001,keepusing( phstat whynowk doinglw);
   		
   		keep if _m==3;
		drop _m;
		
   * process variables;
    		do "processvars.do";   	
   		
   keep hhx fmx px aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90  ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age educ sex occ_now occ_prev  alchronr phstat workcur retired workever disabled ind_now ind_prev yrswrkcur yrswrkprev
     r_maritl region alhca14a;

save outfiles\sa2001,replace;

****2000*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult2000,clear;

          * create race variable and hispanic origin variable;
   		do "create_race.do";
   		

	* to get additional variables we have to merge with the person dataset;
   		merge 1:1 hhx fmx px using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx2000,keepusing( phstat whynowrk);
   		rename whynowrk whynowk;
   		
   		keep if _m==3;
		drop _m;
		
	* process variables;
    		do "processvars.do";
			
   keep hhx fmx px aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90 ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age educ sex occ_now alchronr phstat workcur retired disabled ind_now yrswrkcur r_maritl region alhca14a;

save outfiles\sa2000,replace;

****1999*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult1999,clear;

        * create race variable and hispanic origin variable;
   		do "create_race.do";
   		
			
   * to get additional variables we have to merge with the person dataset;
      		merge 1:1 hhx fmx px using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx1999,keepusing( phstat whynowrk);
      		keep if _m==3;
		drop _m;

      rename whynowrk whynowk;
		
   * process variables;
    		do "processvars.do";
    	
     keep hhx fmx px aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90 ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa  race hisporig age educ sex occ_now alchronr  phstat workcur retired disabled ind_now yrswrkcur r_maritl region alhca14a;

save outfiles\sa1999,replace;

****1998*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult1998,clear;


        * create race variable and hispanic origin variable;
        	do "create_race.do";
        		

  * to get additional variables  we have to merge with the person dataset;
         	merge 1:1 hhx fmx px using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx1998,keepusing( phstat whynowrk);
         		
         	keep if _m==3;
		drop _m;
		
   * process variables;
    		do "processvars.do";
    		
     keep hhx fmx px aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90  ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age educ sex occ_now alchronr  phstat workcur retired ind_now yrswrkcur r_maritl region alhca14a;

save outfiles\sa1998,replace;

****1997*****;

use c:\users\accase\dropbox\NHIS_Alice\infiles\samadult1997,clear;


      	 * create race variable and hispanic origin variable;
        		do "create_race.do";
   		
* to get additional variables  we have to merge with the person dataset;
   		merge 1:1 hhx fmx 	px using c:\users\accase\dropbox\NHIS_Alice\infiles\personsx1997,keepusing( phstat whynowrk );
   		
   		keep if _m==3;
		drop _m;
	
	   * process variables;
    		do "processvars.do";
    		
     keep hhx fmx px aasmev aasmyr aflhca10 aflhca11 aflhca12 aflhca13 aflhca15 aflhca17 aflhca18 aflhca3 aflhca4 aflhca5 aflhca6 aflhca7 aflhca8 aflhca9 aflhca90  ahayfyr
     ahcplknd ahcsyr8 ahcsyr9 aheight ahstatyr alc12mno alc12mtp alc12mwk alc12myr alc1yr alc5upno alc5uptp alc5upyr alcamt alclife asrgyr aweightp beddayr bmi canev
     cbrchyr chdev cigdamo cigqtyr cigsda1 cigsda2 cigsday dibev effort ephev fla1ar flcarry flclimb flgrasp flpush flreach flrelax flshop flsit flsocl flstand flstoop flwalk hopeless
     hrtev hypdifv hypev kidwkyr livyr mhamtmo miev modfreqw modlngno modlngtp modmin modno modtp nervous onejob paineck painface painlb painleg pregnow rectype
     restless sad sinyr smkev smknow smkqtno smkqttp smkqty smkreg smkstat2 srvy_yr strev strfreqw strngno strngtp ulcev ulcyr vigfreqw viglngno viglngtp vigmin vigno
     vigtp wkdayr worthls wtfa_sa wtia_sa race hisporig age educ sex occ_now phstat workcur retired ind_now yrswrkcur r_maritl region alhca14a;



save outfiles\sa1997.dta,replace;

forvalues i=1998 (1) 2015 {;
		append using outfiles\sa`i';
};

* let's look at an overview of what we have;
		bysort srvy_yr: tab race [aweight=wtfa_sa],m;
		bysort srvy_yr: tab hisporig [aweight=wtfa_sa],m;
		bysort srvy_yr: tab age[aweight=wtfa_sa],m;
		bysort srvy_yr: tab educ[aweight=wtfa_sa],m;
	
*px (person id) in earlier years and fpx in later years. we want to make this consistent;
		replace fpx= px if fpx=="" & px!="";
		
*add labels to variables;	
	do "label_var.do";	

*convert to null if answer unknown;
	do "converttonull.do";

  * final processing;
  	do "final_process.do";

label data "NHIS sample adults 1997-2015";

save outfiles\sa.dta,replace;


log close;
