version 13.1
clear
cap log close
cd  "C:\Mortality July 31 2015"
log using "dofiles\process_mortality.log",replace
set more off

#delimit ;
*1989*;
	infix
		year 01-02
		resstatus 20
		region 26
		divstoc 27-28
		str popsizr 50
		str popsmsa 51
		educ89 52-53
		month 55-56
		sex 59
		race 60-61
		racerec3 62
		ageunit 64
		age 65-66
		marstat 77
		state_born 78-79
		hispanic 80-81
		hisprec 82
		bustype 85-87
		occup 88-90
		occupr9 100-101
		fipssto 119-120
		fipsctyo 121-123
		fipsstr 124-125
		fipsctyr 126-128 str
		fipssmsar 129-132 str
		icd 142-145
		icdn 142-145
		icd282 146-150
	using "raw data\Mort1989.PT2" ;
		compress;
replace year=1989;
	save outfiles\Mort1989.dta, replace;
	
clear;	
*1990*;
	infix
		year 01-02
		resstatus 20
		region 26
		divstoc 27-28
		str popsizr 50
		str popsmsa 51
		educ89 52-53
		month 55-56
		sex 59
		race 60-61
		racerec3 62
		ageunit 64
		age 65-66
		marstat 77
		state_born 78-79
		hispanic 80-81
		hisprec 82
		bustype 85-87
		occup 88-90
		occupr9 100-101
		fipssto 119-120
		fipsctyo 121-123
		fipsstr 124-125
		fipsctyr 126-128 str
		fipssmsar 129-132 str
		icd 142-145
		icdn 142-145
		icd282 146-150
	using "raw data\Mort1990.PT2" ;
	compress;
	replace year=1990;

	save outfiles\Mort1990.dta, replace;
clear;	
*1991*;
	infix
		year 01-02
		resstatus 20
		region 26
		divstoc 27-28
		str popsizr 50
		str popsmsa 51
		educ89 52-53
		month 55-56
		sex 59
		race 60-61
		racerec3 62
		ageunit 64
		age 65-66
		marstat 77
		state_born 78-79
		hispanic 80-81
		hisprec 82
		bustype 85-87
		occup 88-90
		occupr9 100-101
		fipssto 119-120
		fipsctyo 121-123
		fipsstr 124-125
		fipsctyr 126-128 str
		fipssmsar 129-132 str
		icd 142-145
		icdn 142-145
		icd282 146-150
	using "raw data\Mort1991.PT2" ;
		compress;
	replace year=1991;

	save outfiles\Mort1991.dta, replace;
clear;	
*1992*;
	infix
		year 01-02
		resstatus 20
		region 26
		divstoc 27-28
		str popsizr 50
		str popsmsa 51
		educ89 52-53
		month 55-56
		sex 59
		race 60-61
		racerec3 62
		ageunit 64
		age 65-66
		marstat 77
		state_born 78-79
		hispanic 80-81
		hisprec 82
		bustype 85-87
		occup 88-90
		occupr9 100-101
		fipssto 119-120
		fipsctyo 121-123
		fipsstr 124-125
		fipsctyr 126-128 str
		fipssmsar 129-132 str
		icd 142-145
		icdn 142-145
		icd282 146-150
	using "raw data\Mort1992.PT2" ;
		compress;
	replace year=1992;

	save outfiles\Mort1992.dta, replace;
clear;	
*1993;
	infix
		year 01-02
		resstatus 20
		region 26
		divstoc 27-28
		str popsizr 50
		str popsmsa 51
		educ89 52-53
		month 55-56
		sex 59
		race 60-61
		racerec3 62
		ageunit 64
		age 65-66
		marstat 77
		state_born 78-79
		hispanic 80-81
		hisprec 82
		bustype 85-87
		occup 88-90
		fipssto 119-120
		fipsctyo 121-123
		fipsstr 124-125
		fipsctyr 126-128 str
		fipssmsar 129-132 str
		icd 142-145
		icdn 142-145
		icd282 146-150
	using "raw data\MULT1993.PAR" ;
	compress;
		replace year=1993;

	save outfiles\Mort1993.dta, replace;
clear;	
*1994;
	infix
		year 01-02
		resstatus 20
		region 26
		divstoc 27-28
		str popsizr 50
		str popsmsa 51
		educ89 52-53
		month 55-56
		sex 59
		race 60-61
		racerec3 62
		ageunit 64
		age 65-66
		marstat 77
		state_born 78-79
		hispanic 80-81
		hisprec 82
		bustype 85-87
		occup 88-90
		fipssto 119-120
		fipsctyo 121-123
		fipsstr 124-125
		fipsctyr 126-128 str
		fipssmsar 129-132 str
		icd 142-145
		icdn 142-145
		icd282 146-150
	using "raw data\MULT1994.PAR" ;
	compress;
		replace year=1994;

	save outfiles\Mort1994.dta, replace;
clear;	
*1995;
	infix
		year 01-02
		resstatus 20
		region 26
		divstoc 27-28
		str popsizr 50
		str popsmsa 51
		educ89 52-53
		month 55-56
		sex 59
		race 60-61
		racerec3 62
		ageunit 64
		age 65-66
		marstat 77
		state_born 78-79
		hispanic 80-81
		hisprec 82
		bustype 85-87
		occup 88-90
		fipssto 119-120
		fipsctyo 121-123
		fipsstr 124-125
		fipsctyr 126-128 str
		fipssmsar 129-132 str
		icd 142-145
		icdn 142-145
		icd282 146-150
	using "raw data\MULT1995.PAR" ;
		replace year=1995;

	compress;
	save outfiles\Mort1995.dta, replace;
clear;	
*1996;
	infix
		resstatus 20
		region 26
		divstoc 27-28
		str popsizr 50
		str popsmsa 51
		educ89 52-53
		month 55-56
		sex 59
		race 60-61
		racerec3 62
		ageunit 64
		age 65-66
		marstat 77
		state_born 78-79
		hispanic 80-81
		hisprec 82
		bustype 85-87
		occup 88-90
		fipssto 119-120
		fipsctyo 121-123
		fipsstr 124-125
		fipsctyr 126-128 str
		fipssmsar 129-132 str
		icd 142-145
		icdn 142-145
		icd282 146-150
	using "raw data\MULT1996.PAR" ;
	gen year=1996;
	compress;
	save outfiles\Mort1996.dta, replace;
#delimit ;
clear;	
*1997;
	infix
		resstatus 20
		region 26
		divstoc 27-28
		str popsizr 50
		str popsmsa 51
		educ89 52-53
		month 55-56
		sex 59
		race 60-61
		racerec3 62
		ageunit 64
		age 65-66
		marstat 77
		state_born 78-79
		hispanic 80-81
		hisprec 82
		bustype 85-87
		occup 88-90
		fipssto 119-120
		fipsctyo 121-123
		fipsstr 124-125
		fipsctyr 126-128 str
		fipssmsar 129-132 str
		icd 142-145
		icdn 142-145
		icd282 146-150
	using "raw data\MULT1997.PT2" ;
	gen year=1997;
	compress;
	save outfiles\Mort1997.dta, replace;
	
#delimit ;
clear;	
*1998;
	infix
		resstatus 20
		region 26
		divstoc 27-28
		str popsizr 50
		str popsmsa 51
		educ89 52-53
		month 55-56
		sex 59
		race 60-61
		racerec3 62
		ageunit 64
		age 65-66
		marstat 77
		state_born 78-79
		hispanic 80-81
		hisprec 82
		bustype 85-87
		occup 88-90
		fipssto 119-120
		fipsctyo 121-123
		fipsstr 124-125
		fipsctyr 126-128 str
		fipssmsar 129-132 str
		icd 142-145
		icdn 142-145
		icd282 146-150
	using "raw data\Mult98.pt2" ;
	gen year=1998;
	compress;
	save outfiles\Mort1998.dta, replace;
	#delimit ;
	clear;	
	*1999;
		infix
			resstatus 20
			region 26
			divstoc 27-28
			str popsizr 50
			str popsmsa 51
			educ89 52-53
			month 55-56
			sex 59
			race 60-61
			racerec3 62
			ageunit 64
			age 65-66
			marstat 77
			state_born 78-79
			hispanic 80-81
			hisprec 82
			bustype 85-87
			occup 88-90
			fipssto 119-120
			fipsctyo 121-123
			fipsstr 124-125
			fipsctyr 126-128 str
			fipssmsar 129-132 str
			icd10 142-145 str
			icd358 146-148
		using "raw data\Mort99.p2" ;
		gen year=1999;
		compress;
		save outfiles\Mort1999.dta, replace;
#delimit ;
	clear;	
	*2000;
		infix
			resstatus 20
			region 26
			divstoc 27-28
			str popsizr 50
			str popsmsa 51
			educ89 52-53
			month 55-56
			sex 59
			race 60-61
			racerec3 62
			ageunit 64
			age 65-66
			marstat 77
			state_born 78-79
			hispanic 80-81
			hisprec 82
			fipssto 119-120
			fipsctyo 121-123
			fipsstr 124-125
			fipsctyr 126-128 str
			fipssmsar 129-132 str
			icd10 142-145 str
			icd358 146-148
		using "raw data\MORT00US.PT2" ;
		gen year=2000;
		compress;
		save outfiles\Mort2000.dta, replace;
#delimit ;
	clear;	
	*2001;
		infix
			resstatus 20
			region 26
			divstoc 27-28
			str popsizr 50
			str popsmsa 51
			educ89 52-53
			month 55-56
			sex 59
			race 60-61
			racerec3 62
			ageunit 64
			age 65-66
			marstat 77
			state_born 78-79
			hispanic 80-81
			hisprec 82
			fipssto 119-120
			fipsctyo 121-123
			fipsstr 124-125
			fipsctyr 126-128 str
			fipssmsar 129-132 str
			icd10 142-145 str
			icd358 146-148
		using "raw data\Mort01us.dat" ;
		gen year=2001;
		compress;
		save outfiles\Mort2001.dta, replace;
#delimit ;
	clear;	
	*2002;
		infix
			resstatus 20
			region 26
			divstoc 27-28
			str popsizr 50
			str popsmsa 51
			educ89 52-53
			month 55-56
			sex 59
			race 60-61
			racerec3 62
			ageunit 64
			age 65-66
			marstat 77
			state_born 78-79
			hispanic 80-81
			hisprec 82
			fipssto 119-120
			fipsctyo 121-123
			fipsstr 124-125
			fipsctyr 126-128 str
			fipssmsar 129-132 str
			icd10 142-145 str
			icd358 146-148
		using "raw data\Mort02us.dat" ;
		gen year=2002;
		compress;
		save outfiles\Mort2002.dta, replace;

#delimit ;
	clear;	
	*2003;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\Mult03us.dat" ;
		gen year=2003;
		compress;
		save outfiles\Mort2003.dta, replace;
#delimit ;
	clear;	
	*2004;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\Mort04us.dat" ;
		gen year=2004;
		compress;
		save outfiles\Mort2004.dta, replace;
#delimit ;
	clear;	
	*2005;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\Mort05usp2.dat" ;
		gen year=2005;
		compress;
		save outfiles\Mort2005.dta, replace;
#delimit ;
	clear;	
	*2006;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\MULT2006.USPART2" ;
		gen year=2006;
		compress;
		save outfiles\Mort2006.dta, replace;
#delimit ;
	clear;	
	*2007;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\MULT2007.USPART2" ;
		gen year=2007;
		compress;
		save outfiles\Mort2007.dta, replace;
#delimit ;
	clear;	
	*2008;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\MULT2008.USPART2" ;
		gen year=2008;
		compress;
		save outfiles\Mort2008.dta, replace;
#delimit ;
	clear;	
	*2009;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\MULT2009.USPART2" ;
		gen year=2009;
		compress;
		save outfiles\Mort2009.dta, replace;
#delimit ;
	clear;	
	*2010;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\MULT2010.USPART2.EXACTDOD" ;
		gen year=2010;
		compress;
		save outfiles\Mort2010.dta, replace;
#delimit ;
	clear;	
	*2011;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\MULT2011.USPART2" ;
		gen year=2011;
		compress;
		save outfiles\Mort2011.dta, replace;
#delimit ;
	clear;	
	*2012;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\MULT2012.USPART2" ;
		gen year=2012;
		compress;
		save outfiles\Mort2012.dta, replace;
#delimit ;
	clear;	
	*2013;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\MULT2013.USPART2" ;
		gen year=2013;
		compress;
		save outfiles\Mort2013.dta, replace;
#delimit ;
	clear;	
	*2014;
		infix
			resstatus 20
			str fipssto 21-22
			str fipsctyo 23-25
			str fipsstr 29-30
			fipsctyr 35-37
			str popcyr 43
			fipssmsar 47-50 		
			str popsizr 51
			str popsmsa 52
			str state_bornA 55-56
			educ89 61-62
			educ20003 63
			educflag 64
			month 65-66
			str sex 69
			ageunit 70
			age 71-73
			str marstatA 84
			str icd10 146-149
			str icd358 150-152
			race 445-446
			racerec3 449			
			hispanic2003 484-486
			hisprec 488
		using "raw data\MULT2014.USPART2" ;
		gen year=2014;
		compress;
		save outfiles\Mort2014.dta, replace;

log close;
end;

,
